Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.core.runtime
Class NullProgressMonitor

    java.lang.Object
      org.eclipse.core.runtime.NullProgressMonitor

All Implemented Interfaces:
  IProgressMonitor

public class NullProgressMonitor
extends Object
implements IProgressMonitor

A default progress monitor implementation suitable for subclassing.

This implementation supports cancelation. The default implementations of the other methods do nothing.

Field Summary

Fields inherited from interface org.eclipse.core.runtime.IProgressMonitor
`UNKNOWN`

Constructor Summary
`NullProgressMonitor()` Constructs a new progress monitor.

Method Summary
`void` | `beginTask(String name, int totalWork)` This implementation does nothing.
`void` | `done()` This implementation does nothing.
`void` | `internalWorked(double work)` This implementation does nothing.
`boolean` | `isCanceled()` This implementation returns the value of the internal state variable set by `setCanceled`.
`void` | `setCanceled(boolean cancelled)` This implementation sets the value of an internal state variable.
`void` | `setTaskName(String name)` This implementation does nothing.
`void` | `subTask(String name)` This implementation does nothing.
`void` | `worked(int work)` This implementation does nothing.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NullProgressMonitor

    public NullProgressMonitor()

  Constructs a new progress monitor.

Method Detail

### beginTask

    public void beginTask(String name,
                          int totalWork)

  This implementation does nothing. Subclasses may override this method to do interesting processing when a task begins.

  Specified by:
    `beginTask` in interface `IProgressMonitor`
  Parameters:
    `name` - the name (or description) of the main task
    `totalWork` - the total number of work units into which the main task is been subdivided. If the value is `UNKNOWN` the implemenation is free to indicate progress in a way which doesn't require the total number of work units in advance.
  See Also:
    `IProgressMonitor.beginTask(String, int)`

### done

    public void done()

  This implementation does nothing. Subclasses may override this method to do interesting processing when a task is done.

  Specified by:
    `done` in interface `IProgressMonitor`
  See Also:
    `IProgressMonitor.done()`

### internalWorked

    public void internalWorked(double work)

  This implementation does nothing. Subclasses may override this method.

  Specified by:
    `internalWorked` in interface `IProgressMonitor`
  Parameters:
    `work` - the amound of work done
  See Also:
    `IProgressMonitor.internalWorked(double)`

### isCanceled

    public boolean isCanceled()

  This implementation returns the value of the internal state variable set by `setCanceled`. Subclasses which override this method should override `setCanceled` as well.

  Specified by:
    `isCanceled` in interface `IProgressMonitor`
  Returns:
    `true` if cancellation has been requested, and `false` otherwise
  See Also:
    `IProgressMonitor.isCanceled()`, `IProgressMonitor.setCanceled(boolean)`

### setCanceled

    public void setCanceled(boolean cancelled)

  This implementation sets the value of an internal state variable. Subclasses which override this method should override `isCanceled` as well.

  Specified by:
    `setCanceled` in interface `IProgressMonitor`
  Parameters:
    `cancelled` - `true` indicates that cancelation has been requested (but not necessarily acknowledged); `false` clears this flag
  See Also:
    `IProgressMonitor.isCanceled()`, `IProgressMonitor.setCanceled(boolean)`

### setTaskName

    public void setTaskName(String name)

  This implementation does nothing. Subclasses may override this method to do something with the name of the task.

  Specified by:
    `setTaskName` in interface `IProgressMonitor`
  Parameters:
    `name` - the name (or description) of the main task
  See Also:
    `IProgressMonitor.setTaskName(String)`

### subTask

    public void subTask(String name)

  This implementation does nothing. Subclasses may override this method to do interesting processing when a subtask begins.

  Specified by:
    `subTask` in interface `IProgressMonitor`
  Parameters:
    `name` - the name (or description) of the subtask
  See Also:
    `IProgressMonitor.subTask(String)`

### worked

    public void worked(int work)

  This implementation does nothing. Subclasses may override this method to do interesting processing when some work has been completed.

  Specified by:
    `worked` in interface `IProgressMonitor`
  Parameters:
    `work` - the number of work units just completed
  See Also:
    `IProgressMonitor.worked(int)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.